Microsoft® Windows® Small Business Server 2008 Getting Started

HP stretch logo

Part Number 508182-001
November 2008 (First Edition)


Navigation tips

Navigating in the HTML document

To navigate through the documentation sequentially:

  • Click the Next arrow ( Next Topic) for the next topic
  • Click Previous arrow ( Previous Topic) for the previous topic

Navigating using the Internet browser toolbar:

  • To return to the last page you viewed, click the Back button on the browser toolbar.
  • To return to one of the last nine pages you viewed in this session, click the down arrow to the side of the Back or Forward button on the browser toolbar, and then click the page you want from the list.

Navigating to documentation on the HP website

  • From the URLs in this guide, you may need to make several selections to get to your specific server documentation.
  • For online access to technical documentation, self-help resources, live chat assistance, community forums of IT experts, technical knowledge base, remote monitoring and diagnostic tools, go to http://www.hp.com/support.
  • For the latest versions of selected technical documentation, go to http://docs.hp.com.


Notices

© Copyright 2008 Hewlett-Packard Development Company, L.P.

The information contained herein is subject to change without notice. The only warranties for HP products and services are set forth in the express warranty statements accompanying such products and services. Nothing herein should be construed as constituting an additional warranty. HP shall not be liable for technical or editorial errors or omissions contained herein.

Confidential computer software. Valid license from HP required for possession, use or copying. Consistent with FAR 12.211 and 12.212, Commercial Computer Software, Computer Software Documentation, and Technical Data for Commercial Items are licensed to the U.S. Government under vendor's standard commercial license.

Microsoft, SQL Server, Windows, the Windows logo and Windows Server are U.S. registered trademarks of the Microsoft Corporation.

Intended audience

This document is for the person who installs, administers, and troubleshoots servers and storage systems. HP assumes you are qualified in the servicing of computer equipment and trained in recognizing hazards in products with hazardous energy levels.


Getting started

In this section

Connecting your server to the network

Customizing the software

Configuring your server and your network


Connecting your server to the network

Before you begin you must have the following items:

  • Product key
  • Router with firewall capability
  • Network cables

This copy of Windows® Small Business Server (SBS) 2008 comes with two product keys. The virtual key works in virtual operating system environments. For more information about using your virtualization product keys, see the Microsoft® website.

To plan your installation, see the Microsoft® website.

To connect your server to the network:

  1. Plug one end of a network cable into the network adapter on your server and the other end into the internal (local) interface on your router.

    IMPORTANT: Ensure that you have a link light on the network card for the entire installation. The network cable must remain connected.

  2. Verify that your network hardware (such as your router) is powered on and is properly connected to the Internet.


Customizing the software

  1. If your server already has Windows® Small Business Server 2008 installed on it, turn on your server.

    Your server initializes, which takes several minutes. During this time, do not turn off your server.

    The server starts several times.

    The screen is black for several seconds while the server restarts.

    The following message appears momentarily, depending on your server: Preparing your desktop.

    If your server shipped with installation media, insert the media, and then restart your server. Follow the manufacturer's instructions to add drivers during installation.

  2. Continue installing and customizing your server.
    1. Install any recommended updates.
    2. To customize your server, enter your company information.

      NOTE: Depending on your hardware configuration, you might need 30 minutes or more to customize the installation.

      You can use your server now. To finish setting up your server, perform the Getting Started Task list in the Windows® SBS Console.

      For more information about getting started with Windows® SBS, see the Microsoft® website.

If you purchased your server preinstalled from an HP OEM, not-preinstalled or preinstalled using a Reseller Option Kit (ROK), use the media provided to start the installation. For adding drivers during installation, see the HP Small Business Server 2008 planning and deployment with HP ProLiant servers white paper.


Configuring your server and your network

To help you finish configuring your network, the Windows® SBS Console Home page lists the Getting Started Tasks. You should finish these tasks as soon as possible after you install Windows® SBS 2008.

Getting Started Tasks

  1. Connect to the Internet.

    Configure your server and your network to connect to the Internet. To get started, click the Connect to the Internet task.

  2. Protect your data.

    Configure and manage server backup, and configure Windows® Live OneCare.

    To get started, click the Configure server backup task.

  3. Add users, computers, and devices.

    Enable users, computers, and devices to access resources on your network, and learn how to add a shared printer to your network. To get started, click the Add a new user account task.

  4. Grow your business.

    Create a professional-looking website, sell online, and attract new customers. Click Set up your Microsoft® Office Live Small Business websites to get started.

    NOTE: Microsoft® Office Live Small Business might not be available in all geographic locations.


Quick links and help

In this section

Additional network diagrams

Common networking devices

Microsoft Windows Small Business Server 2008 Premium Edition

Existing server migration

Where to get help

Requirements for client access licenses

Trial services


Additional network diagrams

Network with separate router and modem

Network with separate router and modem

Network with switch and combined router/modem

Network with switch and combined router/modem

For more information about how to connect and set up your router, see the Microsoft® website.


Common networking devices

Broadband modem—Enables your network to connect to the Internet through your ISP.

Firewall—Helps secure your local network from unauthorized access from the Internet.

Router—Sends, or routes, information between your network and another network such as the Internet.

Switch—Provides additional network connection points for computers and other devices.

Some devices might be multipurpose, such as a router with firewall capabilities. Check your device manufacturer documentation for more information.


Microsoft Windows Small Business Server 2008 Premium Edition

Microsoft® Windows® Small Business Server 2008 Premium Edition includes a second server that is based on Windows® Server 2008 technologies and on Microsoft® SQL Server™ 2008. The product key for each of these is provided with each DVD.


Existing server migration

If you already have a Windows® domain, you can migrate the information on your existing server to the new server.

IMPORTANT: You must collect specific information before you can migrate to the new server. For more information about migration, see the Microsoft® website.


Where to get help

On your server

If you have questions while you are installing your new server, completing tasks in the console, or using the productivity tools for the network, click the Help links that appear on many pages.

On the Internet

Technical articles

Help on the Internet

In the Community

News group forum

Community resources


Requirements for client access licenses

Each user or computer that accesses your network must have a CAL for Windows® Small Business Server 2008. Your server software includes five CALs. For more information about purchasing CALs for Windows® Small Business Server 2008, see the Licensing web page.


Trial services

This version of Windows® Small Business Server 2008 does not include the Forefront Security for Exchange Server, 120 day trial or Windows® Live OneCare for Server 120-day trial. If you would like to try the trial versions, you can choose to install them using Windows® Small Business Server Disk 2-Component Technologies for Server Repair, For more information see the Microsoft® website.